#
# Copyright (c) 2020 Nordic Semiconductor
#
# SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
#

# Enable OpenThread
CONFIG_OPENTHREAD=y

# Network shell
CONFIG_SHELL=y
CONFIG_OPENTHREAD_SHELL=y


# Increase Settings storage size
CONFIG_PM_PARTITION_SIZE_SETTINGS_STORAGE=0x8000

# Enable OpenThread features set
# Do NOT use the prebuilt openthread from nordic 
CONFIG_OPENTHREAD_NORDIC_LIBRARY_MASTER=n

CONFIG_OPENTHREAD_TIME_SYNC=y
CONFIG_GPIO_SHELL=y
CONFIG_LOG=y
# CONFIG_LOG_BACKEND_UART=y
# CONFIG_LOG_DEFAULT_LEVEL=3

CONFIG_OPENTHREAD_CHANNEL=17
CONFIG_OPENTHREAD_NETWORK_NAME="thila2"
CONFIG_OPENTHREAD_NETWORKKEY="fc:fc:bb:6e:94:fb:75:90:61:5f:0c:d6:6e:e8:ff:9a"

CONFIG_STDOUT_CONSOLE=y
CONFIG_UART_CONSOLE=n
CONFIG_USE_SEGGER_RTT=y
CONFIG_SHELL_BACKEND_RTT=y